<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Documento sin título</title>
<link href='http://fonts.googleapis.com/css?family=Roboto+Slab' rel='stylesheet' type='text/css'>
<link href="objetos.css" rel="stylesheet" type="text/css">
<script type="text/javascript">
var Animal=function(peso){
	this.peso;
	this.comer=function(){
		console.log("ÑAN ÑAN");
	};
	this.Animal=function(peso){
		this.peso=peso;
	}
	this.Animal(peso);
	
};


var Oviparo=function(peso){
	this.ponerHuevos=function(){
		console.log("huevo");
	};
	this.Oviparo=function(peso){
		Animal.call(this,peso);
	};
	this.Oviparo(peso);
};

Oviparo.prototype=new Animal();

var objeto=new Oviparo(5);

objeto.ponerHuevos();
console.log(objeto.peso);
objeto.comer();

</script>
</head>

<body>
<div class="cajas entrada">
<pre>
var Animal=function(peso){
	this.peso;
	this.comer=function(){
		console.log("ÑAN ÑAN");
	};
	this.Animal=function(peso){
		this.peso=peso;
	}
	this.Animal(peso);
	
};


var Oviparo=function(peso){
	this.ponerHuevos=function(){
		console.log("huevo");
	};
	this.Oviparo=function(peso){
		Animal.call(this,peso);
	};
	this.Oviparo(peso);
};

Oviparo.prototype=new Animal();

var objeto=new Oviparo(5);

objeto.ponerHuevos();
console.log(objeto.peso);
</pre>
</div>
<div class="cajas salida" >
<div class="titulo">
Ejercicio 6
</div>
<div class="explicacion">
Vamos a entender como funciona la herencia cuando el padre necesita argumentos
</div>
</div>
</body>
</html>
